GTPin: Data Fields

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- SAMPLER : gtpin::GtAddrSpace
- ScratchSpaceSize() : gtpin::IGtKernelDispatch
- SectionId() : gtpin::IGtFunction
- SetAccWriteCtrl() : gtpin::IGtIns
- SetArgValue() : gtpin::IGtKnobRegistry
- SetBreakpoint() : gtpin::IGtIns
- SetCondFlagReg() : gtpin::IGtIns
- SetCondModifier() : gtpin::IGtIns
- SetDstOperand() : gtpin::IGtIns
- SetEot() : gtpin::IGtIns
- SetExecMask() : gtpin::IGtIns
- SetExMsgDesc() : gtpin::IGtIns
- SetFirst() : gtpin::IntRange< T, S >
- SetGlobalTid() : gtpin::GtStateRegAccessor
- SetMsgDesc() : gtpin::IGtIns
- SetPredicate() : gtpin::IGtIns
- SetProfileFilter() : gtpin::IGtKernelInstrument
- SetProfilingMode() : gtpin::IGtKernelDispatch
- SetRegNum() : gtpin::GtReg
- SetSfid() : gtpin::IGtIns
- SetSize() : gtpin::IntRange< T, S >
- SetSrcImmOperand() : gtpin::IGtIns
- SetSrcModifier() : gtpin::IGtIns
- SetSrcRegOperand() : gtpin::IGtIns
- SetSubRegNum() : gtpin::GtReg
- SetThreadCtrl() : gtpin::IGtIns
- SetWriteMaskCtrl() : gtpin::IGtIns
- Sfid() : gtpin::IGtIns
- SIMD_MASK : gtpin::GtIargType
- SimdWidth() : gtpin::IGtKernel
- Size() : gtpin::final , gtpin::GtMemoryBuffer , gtpin::GtDataType , gtpin::GtProfileArray , gtpin::GtProfileTrace , gtpin::IGtBbl , gtpin::IGtFunction , gtpin::IGtGenProcedure , gtpin::GtHliParamTraits , gtpin::IGtIns , gtpin::IGtProfileBuffer , gtpin::IGtVreg , gtpin::IGtVregFactory
- size : gtpin::GtKernelArgument , gtpin::Span< T >
- Size() : gtpin::IntRange< T, S >
- sliceId : gtpin::GtStateRegAccessor
- SliceIdField() : gtpin::GtStateRegAccessor
- Slm() : gtpin::GtMemoryAddrModel
- SLM : gtpin::GtMemoryAddrModel
- SLM_PTR : gtpin::GtIargType
- SlmSize() : gtpin::IGtKernelDispatch
- Spirv() : gtpin::IGtHliModule
- SrcAddrMode() : gtpin::IGtIns
- SrcBbl() : gtpin::IGtEdge
- SrcImmOperand() : gtpin::IGtIns
- SrcModifier() : gtpin::IGtIns
- SrcPrecisionInBits() : gtpin::GtSystolicInfo
- SrcRegFile() : gtpin::IGtIns
- SrcRegOperand() : gtpin::IGtIns
- SS : gtpin::GtMemoryAddrModel
- StartPerfmon() : gtpin::IGtGenCoder
- StartTimer() : gtpin::IGtGenCoder
- STATELESS : gtpin::GtMemoryAddrModel
- STATELESS_NC : gtpin::GtMemoryAddrModel
- StateRegAccessor() : gtpin::IGtGenModel
- Status() : gtpin::IGtEvent
- StopPerfmon() : gtpin::IGtGenCoder
- StopPerfmonExt() : gtpin::IGtGenCoder
- StopTimer() : gtpin::IGtGenCoder
- StopTimerExt() : gtpin::IGtGenCoder
- StoreMemBlock() : gtpin::IGtGenCoder
- StorePayloadAddresses() : gtpin::IGtGenCoder
- StoreRegRange() : gtpin::IGtGenCoder
- Stride() : gtpin::GtRegRegion
- SubRegNum() : gtpin::GtReg
- SubRegNumInBytes() : gtpin::GtReg
- subSliceId : gtpin::GtStateRegAccessor
- SubSliceIdField() : gtpin::GtStateRegAccessor
- SurfaceState() : gtpin::GtMemoryAddrModel
- Swap() : gtpin::UniquePtr< T, D > , gtpin::GtCoreString
- symId : gtpin::KnobDescriptor
- SystolicInfo() : gtpin::IGtIns

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT